Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelChan.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelChan.java	(revision 27216)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelChan.java	(revision 27219)
@@ -217,4 +217,5 @@
 	public PanelChan(OSeaMAction dia) {
 		dlg = dia;
+		setLayout(null);
 		panelPort = new PanelPort(dlg);
 		panelPort.setBounds(new Rectangle(55, 0, 70, 160));
@@ -226,13 +227,12 @@
 		panelSaw.setBounds(new Rectangle(55, 0, 70, 160));
 		panelSaw.setVisible(false);
-		this.setLayout(null);
-		this.add(panelPort, null);
-		this.add(panelStbd, null);
-		this.add(panelSaw, null);
-		this.add(getCatButton(portButton, 0, 0, 52, 32, "Port"), null);
-		this.add(getCatButton(stbdButton, 0, 32, 52, 32, "Stbd"), null);
-		this.add(getCatButton(prefPortButton, 0, 64, 52, 32, "PrefPort"), null);
-		this.add(getCatButton(prefStbdButton, 0, 96, 52, 32, "PrefStbd"), null);
-		this.add(getCatButton(safeWaterButton, 0, 128, 52, 32, "SafeWater"), null);
+		add(panelPort);
+		add(panelStbd);
+		add(panelSaw);
+		add(getCatButton(portButton, 0, 0, 52, 32, "Port"));
+		add(getCatButton(stbdButton, 0, 32, 52, 32, "Stbd"));
+		add(getCatButton(prefPortButton, 0, 64, 52, 32, "PrefPort"));
+		add(getCatButton(prefStbdButton, 0, 96, 52, 32, "PrefStbd"));
+		add(getCatButton(safeWaterButton, 0, 128, 52, 32, "SafeWater"));
 
 		topmarkButton.setBounds(new Rectangle(130, 0, 34, 32));
@@ -241,5 +241,5 @@
 		topmarkButton.addActionListener(alTop);
 		topmarkButton.setVisible(false);
-		this.add(topmarkButton);
+		add(topmarkButton);
 		lightButton.setBounds(new Rectangle(130, 32, 34, 32));
 		lightButton.setToolTipText(Messages.getString("Light"));
@@ -247,5 +247,5 @@
 		lightButton.addActionListener(alLit);
 		lightButton.setVisible(false);
-		this.add(lightButton);
+		add(lightButton);
 	}
 
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelChr.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelChr.java	(revision 27216)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelChr.java	(revision 27219)
@@ -108,32 +108,32 @@
 	public PanelChr(OSeaMAction dia) {
 		dlg = dia;
-		this.setLayout(null);
-		this.add(getChrButton(noneButton, 0, 0, 44, 16, Messages.getString("NoChar"), Chr.UNKNOWN), null);
-		this.add(getChrButton(fixedButton, 0, 16, 44, 16, Messages.getString("FChar"), Chr.FIXED), null);
-		this.add(getChrButton(flashButton, 0, 32, 44, 16, Messages.getString("FlChar"), Chr.FLASH), null);
-		this.add(getChrButton(longFlashButton, 0, 48, 44, 16, Messages.getString("LFlChar"), Chr.LFLASH), null);
-		this.add(getChrButton(quickButton, 0, 64, 44, 16, Messages.getString("QChar"), Chr.QUICK), null);
-		this.add(getChrButton(veryQuickButton, 0, 80, 44, 16, Messages.getString("VQChar"), Chr.VQUICK), null);
-		this.add(getChrButton(ultraQuickButton, 0, 96, 44, 16, Messages.getString("UQChar"), Chr.UQUICK), null);
-		this.add(getChrButton(alternatingButton, 44, 0, 44, 16, Messages.getString("AlChar"), Chr.ALTERNATING), null);
-		this.add(getChrButton(isophasedButton, 44, 16, 44, 16, Messages.getString("IsoChar"), Chr.ISOPHASED), null);
-		this.add(getChrButton(occultingButton, 44, 32, 44, 16, Messages.getString("OcChar"), Chr.OCCULTING), null);
-		this.add(getChrButton(morseButton, 44, 48, 44, 16, Messages.getString("MoChar"), Chr.MORSE), null);
-		this.add(getChrButton(interruptedQuickButton, 44, 64, 44, 16, Messages.getString("IQChar"), Chr.IQUICK), null);
-		this.add(getChrButton(interruptedVeryQuickButton, 44, 80, 44, 16, Messages.getString("IVQChar"), Chr.IVQUICK),null);
-		this.add(getChrButton(interruptedUltraQuickButton, 44, 96, 44, 16, Messages.getString("IUQChar"), Chr.IUQUICK), null);
+		setLayout(null);
+		add(getChrButton(noneButton, 0, 0, 44, 16, Messages.getString("NoChar"), Chr.UNKNOWN));
+		add(getChrButton(fixedButton, 0, 16, 44, 16, Messages.getString("FChar"), Chr.FIXED));
+		add(getChrButton(flashButton, 0, 32, 44, 16, Messages.getString("FlChar"), Chr.FLASH));
+		add(getChrButton(longFlashButton, 0, 48, 44, 16, Messages.getString("LFlChar"), Chr.LFLASH));
+		add(getChrButton(quickButton, 0, 64, 44, 16, Messages.getString("QChar"), Chr.QUICK));
+		add(getChrButton(veryQuickButton, 0, 80, 44, 16, Messages.getString("VQChar"), Chr.VQUICK));
+		add(getChrButton(ultraQuickButton, 0, 96, 44, 16, Messages.getString("UQChar"), Chr.UQUICK));
+		add(getChrButton(alternatingButton, 44, 0, 44, 16, Messages.getString("AlChar"), Chr.ALTERNATING));
+		add(getChrButton(isophasedButton, 44, 16, 44, 16, Messages.getString("IsoChar"), Chr.ISOPHASED));
+		add(getChrButton(occultingButton, 44, 32, 44, 16, Messages.getString("OcChar"), Chr.OCCULTING));
+		add(getChrButton(morseButton, 44, 48, 44, 16, Messages.getString("MoChar"), Chr.MORSE));
+		add(getChrButton(interruptedQuickButton, 44, 64, 44, 16, Messages.getString("IQChar"), Chr.IQUICK));
+		add(getChrButton(interruptedVeryQuickButton, 44, 80, 44, 16, Messages.getString("IVQChar"), Chr.IVQUICK));
+		add(getChrButton(interruptedUltraQuickButton, 44, 96, 44, 16, Messages.getString("IUQChar"), Chr.IUQUICK));
 		charLabel.setBounds(new Rectangle(0, 113, 88, 20));
 		charLabel.setHorizontalAlignment(SwingConstants.CENTER);
 		charLabel.setText(Messages.getString("Character"));
-		this.add(charLabel, null);
+		add(charLabel);
 		col1Label.setBounds(new Rectangle(10, 135, 10, 20));
 		col1Label.setOpaque(true);
-		this.add(col1Label, null);
+		add(col1Label);
 		col2Label.setBounds(new Rectangle(70, 135, 10, 20));
 		col2Label.setOpaque(true);
-		this.add(col2Label, null);
+		add(col2Label);
 		charBox.setBounds(new Rectangle(20, 135, 50, 20));
 		charBox.setHorizontalAlignment(SwingConstants.CENTER);
-		this.add(charBox, null);
+		add(charBox);
 		charBox.addActionListener(alCharBox);
 	}
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelCol.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelCol.java	(revision 27216)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelCol.java	(revision 27219)
@@ -98,21 +98,21 @@
 		dlg = dia;
 		ent = entity;
-		this.setLayout(null);
-		this.add(getColButton(delButton, 0, 0, 34, 16, Messages.getString("RemColour"), Col.UNKNOWN), null);
-		this.add(getColButton(whiteButton, 0, 16, 34, 16, Messages.getString("White"), Col.WHITE), null);
-		this.add(getColButton(redButton, 0, 32, 34, 16, Messages.getString("Red"), Col.RED), null);
-		this.add(getColButton(orangeButton, 0, 48, 34, 16, Messages.getString("Orange"), Col.ORANGE), null);
-		this.add(getColButton(amberButton, 0, 64, 34, 16, Messages.getString("Amber"), Col.AMBER), null);
-		this.add(getColButton(yellowButton, 0, 80, 34, 16, Messages.getString("Yellow"), Col.YELLOW), null);
-		this.add(getColButton(greenButton, 0, 96, 34, 16, Messages.getString("Green"), Col.GREEN), null);
-		this.add(getColButton(blueButton, 0, 112, 34, 16, Messages.getString("Blue"), Col.BLUE), null);
-		this.add(getColButton(violetButton, 0, 128, 34, 16, Messages.getString("Violet"), Col.VIOLET), null);
+		setLayout(null);
+		add(getColButton(delButton, 0, 0, 34, 16, Messages.getString("RemColour"), Col.UNKNOWN));
+		add(getColButton(whiteButton, 0, 16, 34, 16, Messages.getString("White"), Col.WHITE));
+		add(getColButton(redButton, 0, 32, 34, 16, Messages.getString("Red"), Col.RED));
+		add(getColButton(orangeButton, 0, 48, 34, 16, Messages.getString("Orange"), Col.ORANGE));
+		add(getColButton(amberButton, 0, 64, 34, 16, Messages.getString("Amber"), Col.AMBER));
+		add(getColButton(yellowButton, 0, 80, 34, 16, Messages.getString("Yellow"), Col.YELLOW));
+		add(getColButton(greenButton, 0, 96, 34, 16, Messages.getString("Green"), Col.GREEN));
+		add(getColButton(blueButton, 0, 112, 34, 16, Messages.getString("Blue"), Col.BLUE));
+		add(getColButton(violetButton, 0, 128, 34, 16, Messages.getString("Violet"), Col.VIOLET));
 		if (ent != Ent.LIGHT) {
-			this.add(getColButton(addButton, 0, 144, 34, 16, Messages.getString("AddColour"), Col.BLANK), null);
-			this.add(getColButton(blackButton, 37, 0, 34, 16, Messages.getString("Black"), Col.BLACK), null);
-			this.add(getColButton(greyButton, 37, 16, 34, 16, Messages.getString("Grey"), Col.GREY), null);
-			this.add(getColButton(brownButton, 37, 32, 34, 16, Messages.getString("Brown"), Col.BROWN), null);
-			this.add(getColButton(magentaButton, 37, 48, 34, 16, Messages.getString("Magenta"), Col.MAGENTA), null);
-			this.add(getColButton(pinkButton, 37, 64, 34, 16, Messages.getString("Pink"), Col.PINK), null);
+			add(getColButton(addButton, 0, 144, 34, 16, Messages.getString("AddColour"), Col.BLANK));
+			add(getColButton(blackButton, 37, 0, 34, 16, Messages.getString("Black"), Col.BLACK));
+			add(getColButton(greyButton, 37, 16, 34, 16, Messages.getString("Grey"), Col.GREY));
+			add(getColButton(brownButton, 37, 32, 34, 16, Messages.getString("Brown"), Col.BROWN));
+			add(getColButton(magentaButton, 37, 48, 34, 16, Messages.getString("Magenta"), Col.MAGENTA));
+			add(getColButton(pinkButton, 37, 64, 34, 16, Messages.getString("Pink"), Col.PINK));
 
 			stack = new JPanel();
@@ -120,5 +120,5 @@
 			stack.setBounds(38, 87, 34, 64);
 			stack.setLayout(null);
-			this.add(stack);
+			add(stack);
 		}
 	}
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelFog.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelFog.java	(revision 27216)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelFog.java	(revision 27219)
@@ -68,49 +68,49 @@
 	public PanelFog(OSeaMAction dia) {
 		dlg = dia;
-		this.setLayout(null);
-		this.add(getFogButton(noFogButton, 0, 2, 27, 27, "NoFog", Fog.NONE), null);
-		this.add(getFogButton(yesFogButton, 0, 32, 27, 27, "FogSignal", Fog.UNKNOWN), null);
-		this.add(getFogButton(hornButton, 0, 62, 27, 27, "Horn", Fog.HORN), null);
-		this.add(getFogButton(sirenButton, 0, 92, 27, 27, "Siren", Fog.SIREN), null);
-		this.add(getFogButton(gongButton, 0, 122, 27, 27, "Gong", Fog.SIREN), null);
-		this.add(getFogButton(diaButton, 30, 2, 27, 27, "Diaphone", Fog.DIA), null);
-		this.add(getFogButton(bellButton, 30, 32, 27, 27, "Bell", Fog.BELL), null);
-		this.add(getFogButton(whisButton, 30, 62, 27, 27, "Whistle", Fog.WHIS), null);
-		this.add(getFogButton(explosButton, 30, 92, 27, 27, "Explosion", Fog.EXPLOS), null);
+		setLayout(null);
+		add(getFogButton(noFogButton, 0, 2, 27, 27, "NoFog", Fog.NONE));
+		add(getFogButton(yesFogButton, 0, 32, 27, 27, "FogSignal", Fog.UNKNOWN));
+		add(getFogButton(hornButton, 0, 62, 27, 27, "Horn", Fog.HORN));
+		add(getFogButton(sirenButton, 0, 92, 27, 27, "Siren", Fog.SIREN));
+		add(getFogButton(gongButton, 0, 122, 27, 27, "Gong", Fog.GONG));
+		add(getFogButton(diaButton, 30, 2, 27, 27, "Diaphone", Fog.DIA));
+		add(getFogButton(bellButton, 30, 32, 27, 27, "Bell", Fog.BELL));
+		add(getFogButton(whisButton, 30, 62, 27, 27, "Whistle", Fog.WHIS));
+		add(getFogButton(explosButton, 30, 92, 27, 27, "Explosion", Fog.EXPLOS));
 
 		groupLabel = new JLabel(Messages.getString("Group"), SwingConstants.CENTER);
 		groupLabel.setBounds(new Rectangle(75, 0, 100, 20));
-		this.add(groupLabel, null);
+		add(groupLabel);
 		groupBox = new JTextField();
 		groupBox.setBounds(new Rectangle(100, 20, 50, 20));
 		groupBox.setHorizontalAlignment(SwingConstants.CENTER);
-		this.add(groupBox, null);
+		add(groupBox);
 		groupBox.addActionListener(alGroup);
 
 		periodLabel = new JLabel(Messages.getString("Period"), SwingConstants.CENTER);
 		periodLabel.setBounds(new Rectangle(75, 40, 100, 20));
-		this.add(periodLabel, null);
+		add(periodLabel);
 		periodBox = new JTextField();
 		periodBox.setBounds(new Rectangle(100, 60, 50, 20));
 		periodBox.setHorizontalAlignment(SwingConstants.CENTER);
-		this.add(periodBox, null);
+		add(periodBox);
 		periodBox.addActionListener(alPeriod);
 
 		seqLabel = new JLabel(Messages.getString("Sequence"), SwingConstants.CENTER);
 		seqLabel.setBounds(new Rectangle(75, 80, 100, 20));
-		this.add(seqLabel, null);
+		add(seqLabel);
 		seqBox = new JTextField();
 		seqBox.setBounds(new Rectangle(100, 100, 50, 20));
 		seqBox.setHorizontalAlignment(SwingConstants.CENTER);
-		this.add(seqBox, null);
+		add(seqBox);
 		seqBox.addActionListener(alSeq);
 
 		rangeLabel = new JLabel(Messages.getString("Range"), SwingConstants.CENTER);
 		rangeLabel.setBounds(new Rectangle(75, 120, 100, 20));
-		this.add(rangeLabel, null);
+		add(rangeLabel);
 		rangeBox = new JTextField();
 		rangeBox.setBounds(new Rectangle(100, 140, 50, 20));
 		rangeBox.setHorizontalAlignment(SwingConstants.CENTER);
-		this.add(rangeBox, null);
+		add(rangeBox);
 		rangeBox.addActionListener(alRange);
 
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelHaz.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelHaz.java	(revision 27216)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelHaz.java	(revision 27219)
@@ -174,19 +174,19 @@
 	public PanelHaz(OSeaMAction dia) {
 		dlg = dia;
-		this.setLayout(null);
-		this.add(getCatButton(northButton, 0, 0, 52, 32, "North"), null);
-		this.add(getCatButton(southButton, 0, 32, 52, 32, "South"), null);
-		this.add(getCatButton(eastButton, 0, 64, 52, 32, "East"), null);
-		this.add(getCatButton(westButton, 0, 96, 52, 32, "West"), null);
-		this.add(getCatButton(isolButton, 0, 128, 52, 32, "Isol"), null);
-
-		this.add(getShapeButton(pillarButton, 55, 0, 34, 32, "Pillar", Shp.PILLAR, Obj.BOYCAR, Obj.BOYISD), null);
-		this.add(getShapeButton(sparButton, 55, 32, 34, 32, "Spar", Shp.SPAR, Obj.BOYCAR, Obj.BOYISD), null);
-		this.add(getShapeButton(canButton, 55, 64, 34, 32, "Can", Shp.CAN, Obj.BOYCAR, Obj.BOYISD), null);
-		this.add(getShapeButton(coneButton, 55, 96, 34, 32, "Cone", Shp.CONE, Obj.BOYCAR, Obj.BOYISD), null);
-		this.add(getShapeButton(sphereButton, 55, 128, 34, 32, "Sphere", Shp.SPHERE, Obj.BOYCAR, Obj.BOYISD), null);
-		this.add(getShapeButton(floatButton, 90, 0, 34, 32, "Float", Shp.FLOAT, Obj.LITFLT, Obj.LITFLT), null);
-		this.add(getShapeButton(beaconButton, 90, 32, 34, 32, "Beacon", Shp.BEACON, Obj.BCNCAR, Obj.BCNISD), null);
-		this.add(getShapeButton(towerButton, 90, 64, 34, 32, "TowerB", Shp.TOWER, Obj.BCNCAR, Obj.BCNISD), null);
+		setLayout(null);
+		add(getCatButton(northButton, 0, 0, 52, 32, "North"));
+		add(getCatButton(southButton, 0, 32, 52, 32, "South"));
+		add(getCatButton(eastButton, 0, 64, 52, 32, "East"));
+		add(getCatButton(westButton, 0, 96, 52, 32, "West"));
+		add(getCatButton(isolButton, 0, 128, 52, 32, "Isol"));
+
+		add(getShapeButton(pillarButton, 55, 0, 34, 32, "Pillar", Shp.PILLAR, Obj.BOYCAR, Obj.BOYISD));
+		add(getShapeButton(sparButton, 55, 32, 34, 32, "Spar", Shp.SPAR, Obj.BOYCAR, Obj.BOYISD));
+		add(getShapeButton(canButton, 55, 64, 34, 32, "Can", Shp.CAN, Obj.BOYCAR, Obj.BOYISD));
+		add(getShapeButton(coneButton, 55, 96, 34, 32, "Cone", Shp.CONE, Obj.BOYCAR, Obj.BOYISD));
+		add(getShapeButton(sphereButton, 55, 128, 34, 32, "Sphere", Shp.SPHERE, Obj.BOYCAR, Obj.BOYISD));
+		add(getShapeButton(floatButton, 90, 0, 34, 32, "Float", Shp.FLOAT, Obj.LITFLT, Obj.LITFLT));
+		add(getShapeButton(beaconButton, 90, 32, 34, 32, "Beacon", Shp.BEACON, Obj.BCNCAR, Obj.BCNISD));
+		add(getShapeButton(towerButton, 90, 64, 34, 32, "TowerB", Shp.TOWER, Obj.BCNCAR, Obj.BCNISD));
 
 		topmarkButton.setBounds(new Rectangle(130, 0, 34, 32));
@@ -195,5 +195,5 @@
 		topmarkButton.addActionListener(alTop);
 		topmarkButton.setVisible(false);
-		this.add(topmarkButton);
+		add(topmarkButton);
 		lightButton.setBounds(new Rectangle(130, 32, 34, 32));
 		lightButton.setToolTipText(Messages.getString("Light"));
@@ -201,5 +201,5 @@
 		lightButton.addActionListener(alLit);
 		lightButton.setVisible(false);
-		this.add(lightButton);
+		add(lightButton);
 	}
 
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelLights.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelLights.java	(revision 27216)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelLights.java	(revision 27219)
@@ -113,22 +113,22 @@
 	public PanelLights(OSeaMAction dia) {
 		dlg = dia;
-		this.setLayout(null);
-		this.add(getObjButton(houseButton, 0, 0, 34, 32, "Lighthouse", Obj.LITHSE), null);
-		this.add(getObjButton(majorButton, 35, 0, 34, 32, "MajorLight", Obj.LITMAJ), null);
-		this.add(getObjButton(minorButton, 70, 0, 34, 32, "MinorLight", Obj.LITMIN), null);
-		this.add(getObjButton(landButton, 105, 0, 34, 32, "Landmark", Obj.LNDMRK), null);
-		this.add(getObjButton(vesselButton, 0, 35, 34, 32, "LightVessel", Obj.LITVES), null);
-		this.add(getObjButton(floatButton, 35, 35, 34, 32, "LightFloat", Obj.LITFLT), null);
-		this.add(getObjButton(trafficButton, 70, 35, 34, 32, "SSTraffic", Obj.SISTAT), null);
-		this.add(getObjButton(warningButton, 105, 35, 34, 32, "SSWarning", Obj.SISTAW), null);
+		setLayout(null);
+		add(getObjButton(houseButton, 0, 0, 34, 32, "Lighthouse", Obj.LITHSE));
+		add(getObjButton(majorButton, 35, 0, 34, 32, "MajorLight", Obj.LITMAJ));
+		add(getObjButton(minorButton, 70, 0, 34, 32, "MinorLight", Obj.LITMIN));
+		add(getObjButton(landButton, 105, 0, 34, 32, "Landmark", Obj.LNDMRK));
+		add(getObjButton(vesselButton, 0, 35, 34, 32, "LightVessel", Obj.LITVES));
+		add(getObjButton(floatButton, 35, 35, 34, 32, "LightFloat", Obj.LITFLT));
+		add(getObjButton(trafficButton, 70, 35, 34, 32, "SSTraffic", Obj.SISTAT));
+		add(getObjButton(warningButton, 105, 35, 34, 32, "SSWarning", Obj.SISTAW));
 
 		categoryLabel = new JLabel(Messages.getString("Category"), SwingConstants.CENTER);
 		categoryLabel.setBounds(new Rectangle(5, 80, 160, 20));
-		this.add(categoryLabel, null);
+		add(categoryLabel);
 		categoryLabel.setVisible(false);
 
 		landCatBox = new JComboBox();
 		landCatBox.setBounds(new Rectangle(5, 100, 160, 20));
-		this.add(landCatBox, null);
+		add(landCatBox);
 		landCatBox.addActionListener(alLandCatBox);
 		addLCItem("", Cat.NONE);
@@ -157,5 +157,5 @@
 		trafficCatBox = new JComboBox();
 		trafficCatBox.setBounds(new Rectangle(5, 100, 160, 20));
-		this.add(trafficCatBox, null);
+		add(trafficCatBox);
 		trafficCatBox.addActionListener(alTrafficCatBox);
 		addTCItem("", Cat.NONE);
@@ -174,5 +174,5 @@
 		warningCatBox = new JComboBox();
 		warningCatBox.setBounds(new Rectangle(10, 100, 160, 20));
-		this.add(warningCatBox, null);
+		add(warningCatBox);
 		warningCatBox.addActionListener(alWarningCatBox);
 		addWCItem("", Cat.NONE);
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelLit.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelLit.java	(revision 27216)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelLit.java	(revision 27219)
@@ -145,11 +145,11 @@
 	public PanelLit(OSeaMAction dia) {
 		dlg = dia;
+		setLayout(null);
 		panelCol = new PanelCol(dlg, Ent.LIGHT);
 		panelCol.setBounds(new Rectangle(0, 0, 34, 160));
 		panelChr = new PanelChr(dlg);
 		panelChr.setBounds(new Rectangle(34, 0, 88, 160));
-		this.setLayout(null);
-		this.add(panelChr, null);
-		this.add(panelCol, null);
+		add(panelChr);
+		add(panelCol);
 		panelSector = new PanelSectors(dlg);
 		panelSector.setVisible(false);
@@ -157,59 +157,59 @@
 		typeButtons = new ButtonGroup();
 		singleButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/SingleButton.png")));
-		this.add(getTypeButton(singleButton, 280, 125, 34, 30, "Single"), null);
+		add(getTypeButton(singleButton, 280, 125, 34, 30, "Single"));
 		sectorButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/SectorButton.png")));
-		this.add(getTypeButton(sectorButton, 315, 125, 34, 30, "Sectored"), null);
+		add(getTypeButton(sectorButton, 315, 125, 34, 30, "Sectored"));
 
 		groupLabel = new JLabel(Messages.getString("Group"), SwingConstants.CENTER);
 		groupLabel.setBounds(new Rectangle(123, 0, 65, 20));
-		this.add(groupLabel, null);
+		add(groupLabel);
 		groupBox = new JTextField();
 		groupBox.setBounds(new Rectangle(135, 20, 40, 20));
 		groupBox.setHorizontalAlignment(SwingConstants.CENTER);
-		this.add(groupBox, null);
+		add(groupBox);
 		groupBox.addActionListener(alGroup);
 
 		periodLabel = new JLabel(Messages.getString("Period"), SwingConstants.CENTER);
 		periodLabel.setBounds(new Rectangle(123, 40, 65, 20));
-		this.add(periodLabel, null);
+		add(periodLabel);
 		periodBox = new JTextField();
 		periodBox.setBounds(new Rectangle(135, 60, 40, 20));
 		periodBox.setHorizontalAlignment(SwingConstants.CENTER);
-		this.add(periodBox, null);
+		add(periodBox);
 		periodBox.addActionListener(alPeriod);
 
 		heightLabel = new JLabel(Messages.getString("Height"), SwingConstants.CENTER);
 		heightLabel.setBounds(new Rectangle(123, 80, 65, 20));
-		this.add(heightLabel, null);
+		add(heightLabel);
 		heightBox = new JTextField();
 		heightBox.setBounds(new Rectangle(135, 100, 40, 20));
 		heightBox.setHorizontalAlignment(SwingConstants.CENTER);
-		this.add(heightBox, null);
+		add(heightBox);
 		heightBox.addActionListener(alHeight);
 
 		rangeLabel = new JLabel(Messages.getString("Range"), SwingConstants.CENTER);
 		rangeLabel.setBounds(new Rectangle(123, 120, 65, 20));
-		this.add(rangeLabel, null);
+		add(rangeLabel);
 		rangeBox = new JTextField();
 		rangeBox.setBounds(new Rectangle(135, 140, 40, 20));
 		rangeBox.setHorizontalAlignment(SwingConstants.CENTER);
-		this.add(rangeBox, null);
+		add(rangeBox);
 		rangeBox.addActionListener(alRange);
 
 		sequenceLabel = new JLabel(Messages.getString("Sequence"), SwingConstants.CENTER);
 		sequenceLabel.setBounds(new Rectangle(188, 120, 80, 20));
-		this.add(sequenceLabel, null);
+		add(sequenceLabel);
 		sequenceBox = new JTextField();
 		sequenceBox.setBounds(new Rectangle(183, 140, 90, 20));
 		sequenceBox.setHorizontalAlignment(SwingConstants.CENTER);
-		this.add(sequenceBox, null);
+		add(sequenceBox);
 		sequenceBox.addActionListener(alSequence);
 
 		categoryLabel = new JLabel(Messages.getString("Category"), SwingConstants.CENTER);
 		categoryLabel.setBounds(new Rectangle(185, 0, 165, 20));
-		this.add(categoryLabel, null);
+		add(categoryLabel);
 		categoryBox = new JComboBox();
 		categoryBox.setBounds(new Rectangle(185, 20, 165, 20));
-		this.add(categoryBox, null);
+		add(categoryBox);
 		addCatItem("", Lit.UNKNOWN);
 		addCatItem(Messages.getString("VertDisp"), Lit.VERT);
@@ -234,8 +234,8 @@
 		visibilityLabel = new JLabel(Messages.getString("Visibility"), SwingConstants.CENTER);
 		visibilityLabel.setBounds(new Rectangle(185, 40, 165, 20));
-		this.add(visibilityLabel, null);
+		add(visibilityLabel);
 		visibilityBox = new JComboBox();
 		visibilityBox.setBounds(new Rectangle(185, 60, 165, 20));
-		this.add(visibilityBox, null);
+		add(visibilityBox);
 		addVisibItem("", Vis.UNKNOWN);
 		addVisibItem(Messages.getString("Intensified"), Vis.INTEN);
@@ -246,8 +246,8 @@
 		exhibitionLabel = new JLabel(Messages.getString("Exhibition"), SwingConstants.CENTER);
 		exhibitionLabel.setBounds(new Rectangle(280, 80, 70, 20));
-		this.add(exhibitionLabel, null);
+		add(exhibitionLabel);
 		exhibitionBox = new JComboBox();
 		exhibitionBox.setBounds(new Rectangle(280, 100, 70, 20));
-		this.add(exhibitionBox, null);
+		add(exhibitionBox);
 		addExhibItem("", Exh.UNKNOWN);
 		addExhibItem(Messages.getString("24h"), Exh.H24);
@@ -260,10 +260,10 @@
 		orientationLabel.setBounds(new Rectangle(188, 80, 80, 20));
 		orientationLabel.setVisible(false);
-		this.add(orientationLabel, null);
+		add(orientationLabel);
 		orientationBox = new JTextField();
 		orientationBox.setBounds(new Rectangle(208, 100, 40, 20));
 		orientationBox.setHorizontalAlignment(SwingConstants.CENTER);
 		orientationBox.setVisible(false);
-		this.add(orientationBox, null);
+		add(orientationBox);
 		orientationBox.addActionListener(alOrientation);
 
@@ -271,10 +271,10 @@
 		multipleLabel.setBounds(new Rectangle(188, 80, 80, 20));
 		multipleLabel.setVisible(false);
-		this.add(multipleLabel, null);
+		add(multipleLabel);
 		multipleBox = new JTextField();
 		multipleBox.setBounds(new Rectangle(208, 100, 40, 20));
 		multipleBox.setHorizontalAlignment(SwingConstants.CENTER);
 		multipleBox.setVisible(false);
-		this.add(multipleBox, null);
+		add(multipleBox);
 		multipleBox.addActionListener(alMultiple);
 	}
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelMain.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelMain.java	(revision 27216)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelMain.java	(revision 27219)
@@ -74,7 +74,6 @@
 		public void actionPerformed(java.awt.event.ActionEvent e) {
 			if (chanButton.isSelected()) {
+				mark.clearSign();
 				chanButton.setBorderPainted(true);
-				mark.clearSign();
-				panelChan.syncPanel();
 				panelChan.setVisible(true);
 			} else {
@@ -83,7 +82,6 @@
 			}
 			if (hazButton.isSelected()) {
+				mark.clearSign();
 				hazButton.setBorderPainted(true);
-				mark.clearSign();
-				panelHaz.syncPanel();
 				panelHaz.setVisible(true);
 			} else {
@@ -92,7 +90,6 @@
 			}
 			if (specButton.isSelected()) {
+				mark.clearSign();
 				specButton.setBorderPainted(true);
-				mark.clearSign();
-				panelSpec.syncPanel();
 				panelSpec.setVisible(true);
 			} else {
@@ -101,7 +98,6 @@
 			}
 			if (lightsButton.isSelected()) {
+				mark.clearSign();
 				lightsButton.setBorderPainted(true);
-				mark.clearSign();
-				panelLights.syncPanel();
 				panelLights.setVisible(true);
 			} else {
@@ -160,7 +156,8 @@
 
 		dlg = dia;
+		setLayout(null);
 		mark = new SeaMark(dlg);
 		mark.setBounds(new Rectangle(235, 0, 165, 160));
-		this.add(mark);
+		add(mark);
 		panelChan = new PanelChan(dlg);
 		panelChan.setBounds(new Rectangle(65, 0, 170, 160));
@@ -191,17 +188,17 @@
 		panelLit.setVisible(false);
 
-		this.add(getButton(chanButton, 0, 0, 62, 40, "Chan"), null);
-		this.add(getButton(hazButton, 0, 40, 62, 40, "Haz"), null);
-		this.add(getButton(specButton, 0, 80, 62, 40, "Spec"), null);
-		this.add(getButton(lightsButton, 0, 120, 62, 40, "Lights"), null);
-		this.add(panelChan);
-		this.add(panelHaz, null);
-		this.add(panelSpec, null);
-		this.add(panelLights, null);
-		this.add(panelMore, null);
-		this.add(panelTop, null);
-		this.add(panelFog, null);
-		this.add(panelRadar, null);
-		this.add(panelLit, null);
+		add(getButton(chanButton, 0, 0, 62, 40, "Chan"), null);
+		add(getButton(hazButton, 0, 40, 62, 40, "Haz"), null);
+		add(getButton(specButton, 0, 80, 62, 40, "Spec"), null);
+		add(getButton(lightsButton, 0, 120, 62, 40, "Lights"), null);
+		add(panelChan);
+		add(panelHaz);
+		add(panelSpec);
+		add(panelLights);
+		add(panelMore);
+		add(panelTop);
+		add(panelFog);
+		add(panelRadar);
+		add(panelLit);
 		typeButtons = new ButtonGroup();
 		typeButtons.add(chanButton);
@@ -214,8 +211,8 @@
 		lightsButton.addActionListener(alType);
 
-		this.add(getButton(topButton, 0, 185, 34, 32, "Topmarks"), null);
-		this.add(getButton(fogButton, 0, 220, 34, 32, "FogSignals"), null);
-		this.add(getButton(radButton, 0, 255, 34, 32, "Radar"), null);
-		this.add(getButton(litButton, 0, 290, 34, 32, "Lit"), null);
+		add(getButton(topButton, 0, 185, 34, 32, "Topmarks"));
+		add(getButton(fogButton, 0, 220, 34, 32, "FogSignals"));
+		add(getButton(radButton, 0, 255, 34, 32, "Radar"));
+		add(getButton(litButton, 0, 290, 34, 32, "Lit"));
 		miscButtons = new ButtonGroup();
 		miscButtons.add(topButton);
@@ -231,9 +228,9 @@
 		nameLabel.setBounds(new Rectangle(5, 329, 60, 20));
 		nameLabel.setText(tr("Name:"));
-		this.add(nameLabel, null);
+		add(nameLabel);
 		nameBox = new JTextField();
 		nameBox.setBounds(new Rectangle(60, 330, 200, 20));
 		nameBox.setHorizontalAlignment(SwingConstants.CENTER);
-		this.add(nameBox, null);
+		add(nameBox);
 		nameBox.addActionListener(alName);
 
@@ -241,5 +238,5 @@
 		saveButton.setBounds(new Rectangle(285, 330, 100, 20));
 		saveButton.setText(tr("Save"));
-		this.add(saveButton, null);
+		add(saveButton);
 		saveButton.addActionListener(alSave);
 
@@ -248,5 +245,5 @@
 		moreButton.setMargin(new Insets(0, 0, 0, 0));
 		moreButton.setText(">>");
-		this.add(moreButton, null);
+		add(moreButton);
 		moreButton.addActionListener(alMore);
 
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelMore.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelMore.java	(revision 27216)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelMore.java	(revision 27219)
@@ -187,51 +187,51 @@
 	public PanelMore(OSeaMAction dia) {
 		dlg = dia;
-		this.setLayout(null);
+		setLayout(null);
 		panelPat = new PanelPat(dlg, Ent.BODY);
 		panelPat.setBounds(new Rectangle(0, 0, 110, 160));
-		this.add(panelPat, null);
-		this.add(getRegionButton(regionAButton, 110, 0, 34, 30, "RegionA"), null);
-		this.add(getRegionButton(regionBButton, 110, 32, 34, 30, "RegionB"), null);
-		this.add(getRegionButton(regionCButton, 110, 64, 34, 30, "RegionC"), null);
+		add(panelPat);
+		add(getRegionButton(regionAButton, 110, 0, 34, 30, "RegionA"));
+		add(getRegionButton(regionBButton, 110, 32, 34, 30, "RegionB"));
+		add(getRegionButton(regionCButton, 110, 64, 34, 30, "RegionC"));
 
 		elevLabel = new JLabel(Messages.getString("Elevation"), SwingConstants.CENTER);
 		elevLabel.setBounds(new Rectangle(140, 0, 90, 20));
-		this.add(elevLabel, null);
+		add(elevLabel);
 		elevBox = new JTextField();
 		elevBox.setBounds(new Rectangle(160, 20, 50, 20));
 		elevBox.setHorizontalAlignment(SwingConstants.CENTER);
-		this.add(elevBox, null);
+		add(elevBox);
 		elevBox.addActionListener(alElev);
 
 		heightLabel = new JLabel(Messages.getString("Height"), SwingConstants.CENTER);
 		heightLabel.setBounds(new Rectangle(140, 40, 90, 20));
-		this.add(heightLabel, null);
+		add(heightLabel);
 		heightBox = new JTextField();
 		heightBox.setBounds(new Rectangle(160, 60, 50, 20));
 		heightBox.setHorizontalAlignment(SwingConstants.CENTER);
-		this.add(heightBox, null);
+		add(heightBox);
 		heightBox.addActionListener(alHeight);
 
 		sourceLabel = new JLabel(Messages.getString("Source"), SwingConstants.CENTER);
 		sourceLabel.setBounds(new Rectangle(110, 80, 130, 20));
-		this.add(sourceLabel, null);
+		add(sourceLabel);
 		sourceBox = new JTextField();
 		sourceBox.setBounds(new Rectangle(110, 100, 130, 20));
 		sourceBox.setHorizontalAlignment(SwingConstants.CENTER);
-		this.add(sourceBox, null);
+		add(sourceBox);
 		sourceBox.addActionListener(alSource);
 
 		infoLabel = new JLabel(Messages.getString("Information"), SwingConstants.CENTER);
 		infoLabel.setBounds(new Rectangle(110, 120, 130, 20));
-		this.add(infoLabel, null);
+		add(infoLabel);
 		infoBox = new JTextField();
 		infoBox.setBounds(new Rectangle(110, 140, 130, 20));
 		infoBox.setHorizontalAlignment(SwingConstants.CENTER);
-		this.add(infoBox, null);
+		add(infoBox);
 		infoBox.addActionListener(alInfo);
 
 		statusLabel = new JLabel(Messages.getString("Status"), SwingConstants.CENTER);
 		statusLabel.setBounds(new Rectangle(250, 0, 100, 20));
-		this.add(statusLabel, null);
+		add(statusLabel);
 		statusBox = new JComboBox();
 		statusBox.setBounds(new Rectangle(250, 20, 100, 20));
@@ -255,10 +255,10 @@
 		addStsItem(Messages.getString("UnWatched"), Sts.UNWAT);
 		addStsItem(Messages.getString("Doubtful"), Sts.DOUBT);
-		this.add(statusBox, null);
+		add(statusBox);
 		statusBox.addActionListener(alStatus);
 
 		constrLabel = new JLabel(Messages.getString("Construction"), SwingConstants.CENTER);
 		constrLabel.setBounds(new Rectangle(250, 40, 100, 20));
-		this.add(constrLabel, null);
+		add(constrLabel);
 		constrBox = new JComboBox();
 		constrBox.setBounds(new Rectangle(250, 60, 100, 20));
@@ -273,10 +273,10 @@
 		addCnsItem(Messages.getString("GRP"), Cns.GRP);
 		addCnsItem(Messages.getString("Painted"), Cns.PAINT);
-		this.add(constrBox, null);
+		add(constrBox);
 		constrBox.addActionListener(alConstr);
 
 		conLabel = new JLabel(Messages.getString("Conspicuity"), SwingConstants.CENTER);
 		conLabel.setBounds(new Rectangle(250, 80, 100, 20));
-		this.add(conLabel, null);
+		add(conLabel);
 		conBox = new JComboBox();
 		conBox.setBounds(new Rectangle(250, 100, 100, 20));
@@ -284,10 +284,10 @@
 		addConItem(Messages.getString("Conspicuous"), Con.CONSP);
 		addConItem(Messages.getString("NotConspicuous"), Con.NCONS);
-		this.add(conBox, null);
+		add(conBox);
 		conBox.addActionListener(alCon);
 
 		reflLabel = new JLabel(Messages.getString("Reflectivity"), SwingConstants.CENTER);
 		reflLabel.setBounds(new Rectangle(250, 120, 100, 20));
-		this.add(reflLabel, null);
+		add(reflLabel);
 		reflBox = new JComboBox();
 		reflBox.setBounds(new Rectangle(250, 140, 100, 20));
@@ -296,5 +296,5 @@
 		addReflItem(Messages.getString("NotConspicuous"), Con.NCONS);
 		addReflItem(Messages.getString("Reflector"), Con.REFL);
-		this.add(reflBox, null);
+		add(reflBox);
 		reflBox.addActionListener(alRefl);
 
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelPat.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelPat.java	(revision 27216)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelPat.java	(revision 27219)
@@ -57,14 +57,14 @@
 		dlg = dia;
 		ent = entity;
-		this.setLayout(null);
+		setLayout(null);
 		panelCol = new PanelCol(dlg, ent);
 		panelCol.setBounds(new Rectangle(0, 0, 72, 160));
-		this.add(panelCol, null);
-		this.add(getPatButton(noneButton, 76, 0, 27, 27, "NoPat", Pat.NONE), null);
-		this.add(getPatButton(horizButton, 76, 26, 27, 27, "HorizPat", Pat.HORIZ), null);
-		this.add(getPatButton(vertButton, 76, 52, 27, 27, "VertPat", Pat.VERT), null);
-		this.add(getPatButton(diagButton, 76, 78, 27, 27, "DiagPat", Pat.DIAG), null);
-		this.add(getPatButton(squareButton, 76, 104, 27, 27, "SquarePat", Pat.SQUARE), null);
-		this.add(getPatButton(borderButton, 76, 130, 27, 27, "BorderPat", Pat.BORDER), null);
+		add(panelCol);
+		add(getPatButton(noneButton, 76, 0, 27, 27, "NoPat", Pat.NONE));
+		add(getPatButton(horizButton, 76, 26, 27, 27, "HorizPat", Pat.HORIZ));
+		add(getPatButton(vertButton, 76, 52, 27, 27, "VertPat", Pat.VERT));
+		add(getPatButton(diagButton, 76, 78, 27, 27, "DiagPat", Pat.DIAG));
+		add(getPatButton(squareButton, 76, 104, 27, 27, "SquarePat", Pat.SQUARE));
+		add(getPatButton(borderButton, 76, 130, 27, 27, "BorderPat", Pat.BORDER));
 
 	}
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelPort.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelPort.java	(revision 27216)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelPort.java	(revision 27219)
@@ -89,14 +89,14 @@
 	public PanelPort(OSeaMAction dia) {
 		dlg = dia;
-		this.setLayout(null);
-		this.add(getShapeButton(pillarButton, 0, 0, 34, 32, "Pillar", Shp.PILLAR, Obj.BOYLAT), null);
-		this.add(getShapeButton(sparButton, 0, 32, 34, 32, "Spar", Shp.SPAR, Obj.BOYLAT), null);
-		this.add(getShapeButton(canButton, 0, 64, 34, 32, "Can", Shp.CAN, Obj.BOYLAT), null);
-		this.add(getShapeButton(sphereButton, 0, 96, 34, 32, "Sphere", Shp.SPHERE, Obj.BOYLAT), null);
-		this.add(getShapeButton(floatButton, 0, 128, 34, 32, "Float", Shp.FLOAT, Obj.FLTLAT), null);
-		this.add(getShapeButton(beaconButton, 35, 0, 34, 32, "Beacon", Shp.BEACON, Obj.BCNLAT), null);
-		this.add(getShapeButton(towerButton, 35, 32, 34, 32, "TowerB", Shp.TOWER, Obj.BCNLAT), null);
-		this.add(getShapeButton(perchButton, 35, 64, 34, 32, "Perch", Shp.PERCH, Obj.BCNLAT), null);
-		this.add(getShapeButton(stakeButton, 35, 96, 34, 32, "Stake", Shp.STAKE, Obj.BCNLAT), null);
+		setLayout(null);
+		add(getShapeButton(pillarButton, 0, 0, 34, 32, "Pillar", Shp.PILLAR, Obj.BOYLAT));
+		add(getShapeButton(sparButton, 0, 32, 34, 32, "Spar", Shp.SPAR, Obj.BOYLAT));
+		add(getShapeButton(canButton, 0, 64, 34, 32, "Can", Shp.CAN, Obj.BOYLAT));
+		add(getShapeButton(sphereButton, 0, 96, 34, 32, "Sphere", Shp.SPHERE, Obj.BOYLAT));
+		add(getShapeButton(floatButton, 0, 128, 34, 32, "Float", Shp.FLOAT, Obj.FLTLAT));
+		add(getShapeButton(beaconButton, 35, 0, 34, 32, "Beacon", Shp.BEACON, Obj.BCNLAT));
+		add(getShapeButton(towerButton, 35, 32, 34, 32, "TowerB", Shp.TOWER, Obj.BCNLAT));
+		add(getShapeButton(perchButton, 35, 64, 34, 32, "Perch", Shp.PERCH, Obj.BCNLAT));
+		add(getShapeButton(stakeButton, 35, 96, 34, 32, "Stake", Shp.STAKE, Obj.BCNLAT));
 	}
 
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelRadar.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelRadar.java	(revision 27216)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelRadar.java	(revision 27219)
@@ -79,41 +79,41 @@
 	public PanelRadar(OSeaMAction dia) {
 		dlg = dia;
-		this.setLayout(null);
-		this.add(getRadButton(noRadButton, 0, 3, 27, 27, "NoRadar", Rtb.NONE), null);
-		this.add(getRadButton(reflButton, 0, 33, 27, 27, "RadarReflector", Rtb.REFLECTOR), null);
-		this.add(getRadButton(ramarkButton, 0, 63, 27, 27, "Ramark", Rtb.RAMARK), null);
-		this.add(getRadButton(raconButton, 0, 93, 27, 27, "Racon", Rtb.RACON), null);
-		this.add(getRadButton(leadingButton, 0, 123, 27, 27, "LeadingRacon", Rtb.LEADING), null);
+		setLayout(null);
+		add(getRadButton(noRadButton, 0, 3, 27, 27, "NoRadar", Rtb.NONE));
+		add(getRadButton(reflButton, 0, 33, 27, 27, "RadarReflector", Rtb.REFLECTOR));
+		add(getRadButton(ramarkButton, 0, 63, 27, 27, "Ramark", Rtb.RAMARK));
+		add(getRadButton(raconButton, 0, 93, 27, 27, "Racon", Rtb.RACON));
+		add(getRadButton(leadingButton, 0, 123, 27, 27, "LeadingRacon", Rtb.LEADING));
 
 		groupLabel = new JLabel(Messages.getString("Group"), SwingConstants.CENTER);
 		groupLabel.setBounds(new Rectangle(30, 0, 100, 20));
-		this.add(groupLabel, null);
+		add(groupLabel);
 		groupBox = new JTextField();
 		groupBox.setBounds(new Rectangle(55, 20, 50, 20));
 		groupBox.setHorizontalAlignment(SwingConstants.CENTER);
-		this.add(groupBox, null);
+		add(groupBox);
 		groupBox.addActionListener(alGroup);
 
 		periodLabel = new JLabel(Messages.getString("Period"), SwingConstants.CENTER);
 		periodLabel.setBounds(new Rectangle(130, 0, 100, 20));
-		this.add(periodLabel, null);
+		add(periodLabel);
 		periodBox = new JTextField();
 		periodBox.setBounds(new Rectangle(155, 20, 50, 20));
 		periodBox.setHorizontalAlignment(SwingConstants.CENTER);
-		this.add(periodBox, null);
+		add(periodBox);
 		periodBox.addActionListener(alPeriod);
 
 		seqLabel = new JLabel(Messages.getString("Sequence"), SwingConstants.CENTER);
 		seqLabel.setBounds(new Rectangle(30, 40, 100, 20));
-		this.add(seqLabel, null);
+		add(seqLabel);
 		seqBox = new JTextField();
 		seqBox.setBounds(new Rectangle(55, 60, 50, 20));
 		seqBox.setHorizontalAlignment(SwingConstants.CENTER);
-		this.add(seqBox, null);
+		add(seqBox);
 		seqBox.addActionListener(alSeq);
 
 		rangeLabel = new JLabel(Messages.getString("Range"), SwingConstants.CENTER);
 		rangeLabel.setBounds(new Rectangle(130, 40, 100, 20));
-		this.add(rangeLabel, null);
+		add(rangeLabel);
 		rangeBox = new JTextField();
 		rangeBox.setBounds(new Rectangle(155, 60, 50, 20));
@@ -123,22 +123,22 @@
 		sectorsLabel = new JLabel(Messages.getString("VisibleSector"), SwingConstants.CENTER);
 		sectorsLabel.setBounds(new Rectangle(75, 85, 100, 20));
-		this.add(sectorsLabel, null);
+		add(sectorsLabel);
 
 		sector1Label = new JLabel(Messages.getString("Start"), SwingConstants.CENTER);
 		sector1Label.setBounds(new Rectangle(30, 100, 100, 20));
-		this.add(sector1Label, null);
+		add(sector1Label);
 		sector1Box = new JTextField();
 		sector1Box.setBounds(new Rectangle(55, 120, 50, 20));
 		sector1Box.setHorizontalAlignment(SwingConstants.CENTER);
-		this.add(sector1Box, null);
+		add(sector1Box);
 		sector1Box.addActionListener(alSector1);
 
 		sector2Label = new JLabel(Messages.getString("End"), SwingConstants.CENTER);
 		sector2Label.setBounds(new Rectangle(130, 100, 100, 20));
-		this.add(sector2Label, null);
+		add(sector2Label);
 		sector2Box = new JTextField();
 		sector2Box.setBounds(new Rectangle(155, 120, 50, 20));
 		sector2Box.setHorizontalAlignment(SwingConstants.CENTER);
-		this.add(sector2Box, null);
+		add(sector2Box);
 		sector2Box.addActionListener(alSector2);
 	}
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelSaw.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelSaw.java	(revision 27216)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelSaw.java	(revision 27219)
@@ -47,10 +47,10 @@
 	public PanelSaw(OSeaMAction dia) {
 		dlg = dia;
-		this.setLayout(null);
-		this.add(getShapeButton(pillarButton, 0, 0, 34, 32, "Pillar", Shp.PILLAR, Obj.BOYSAW), null);
-		this.add(getShapeButton(sparButton, 0, 32, 34, 32, "Spar", Shp.SPAR, Obj.BOYSAW), null);
-		this.add(getShapeButton(sphereButton, 0, 64, 34, 32, "Sphere", Shp.SPHERE, Obj.BOYSAW), null);
-		this.add(getShapeButton(floatButton, 0, 96, 34, 32, "Float", Shp.FLOAT, Obj.FLTSAW), null);
-		this.add(getShapeButton(beaconButton, 0, 128, 34, 32, "Beacon", Shp.BEACON, Obj.BCNSAW), null);
+		setLayout(null);
+		add(getShapeButton(pillarButton, 0, 0, 34, 32, "Pillar", Shp.PILLAR, Obj.BOYSAW));
+		add(getShapeButton(sparButton, 0, 32, 34, 32, "Spar", Shp.SPAR, Obj.BOYSAW));
+		add(getShapeButton(sphereButton, 0, 64, 34, 32, "Sphere", Shp.SPHERE, Obj.BOYSAW));
+		add(getShapeButton(floatButton, 0, 96, 34, 32, "Float", Shp.FLOAT, Obj.FLTSAW));
+		add(getShapeButton(beaconButton, 0, 128, 34, 32, "Beacon", Shp.BEACON, Obj.BCNSAW));
 	}
 
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelSectors.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelSectors.java	(revision 27216)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelSectors.java	(revision 27219)
@@ -46,18 +46,18 @@
 		super(Messages.getString("SectorTable"));
 		dlg = dia;
-		this.setSize(900, 100);
-		this.setVisible(true);
-		this.setAlwaysOnTop(true);
-		this.setLocation(450, 0);
-		this.setDefaultCloseOperation(JFrame.HIDE_ON_CLOSE);
-		this.setLayout(null);
+		setLayout(null);
+		setSize(900, 100);
+		setVisible(true);
+		setAlwaysOnTop(true);
+		setLocation(450, 0);
+		setDefaultCloseOperation(JFrame.HIDE_ON_CLOSE);
 		minusButton = new JButton(new ImageIcon(getClass().getResource("/images/MinusButton.png")));
 		minusButton.setBounds(0, 0, 32, 34);
 		minusButton.addActionListener(alMinusButton);
-		this.add(minusButton);
+		add(minusButton);
 		plusButton = new JButton(new ImageIcon(getClass().getResource("/images/PlusButton.png")));
 		plusButton.setBounds(0, 34, 32, 34);
 		plusButton.addActionListener(alPlusButton);
-		this.add(plusButton);
+		add(plusButton);
 		panel = new JPanel(new BorderLayout());
 		panel.setBounds(40, 0, 860, 512);
@@ -67,5 +67,5 @@
 		table.setAutoResizeMode(JTable.AUTO_RESIZE_ALL_COLUMNS);
 		panel.add(new JScrollPane(table));
-		this.getContentPane().add(panel);
+		getContentPane().add(panel);
 
 		table.setSize(860, ((table.getRowCount() * 16) + 20));
@@ -253,11 +253,11 @@
 		public ColourCellRenderer() {
 			super();
-			setLayout(new BorderLayout(0, 0));
-			col1Label = new JLabel("        ");
+			setLayout(new GridLayout(1, 2, 0, 0));
+			col1Label = new JLabel();
 			col1Label.setOpaque(true);
-			add(col1Label, BorderLayout.WEST);
-			col2Label = new JLabel("        ");
+			add(col1Label);
+			col2Label = new JLabel();
 			col2Label.setOpaque(true);
-			add(col2Label, BorderLayout.EAST);
+			add(col2Label);
 		}
 		public Component getTableCellRendererComponent(JTable table, Object value, boolean isSelected, boolean hasFocus, int rowIndex, int vColIndex) {
@@ -292,7 +292,7 @@
 	public void syncPanel() {
 		if (table.getRowCount() > 3) {
-			this.setSize(900, ((table.getRowCount() * 16) + 40));
+			setSize(900, ((table.getRowCount() * 16) + 40));
 		} else {
-			this.setSize(900, 100);
+			setSize(900, 100);
 		}
 	}
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelSpec.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelSpec.java	(revision 27216)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelSpec.java	(revision 27219)
@@ -85,25 +85,24 @@
 	public PanelSpec(OSeaMAction dia) {
 		dlg = dia;
-
-		this.setLayout(null);
-		this.add(getShapeButton(pillarButton, 0, 0, 34, 32, "Pillar", Shp.PILLAR, Obj.BOYSPP), null);
-		this.add(getShapeButton(sparButton, 34, 0, 34, 32, "Spar", Shp.SPAR, Obj.BOYSPP), null);
-		this.add(getShapeButton(canButton, 68, 0, 34, 32, "Can", Shp.CAN, Obj.BOYSPP), null);
-		this.add(getShapeButton(coneButton, 102, 0, 34, 32, "Cone", Shp.CONE, Obj.BOYSPP), null);
-		this.add(getShapeButton(sphereButton, 0, 32, 34, 32, "Sphere", Shp.SPHERE, Obj.BOYSPP), null);
-		this.add(getShapeButton(barrelButton, 34, 32, 34, 32, "Barrel", Shp.BARREL, Obj.BOYSPP), null);
-		this.add(getShapeButton(superButton, 68, 32, 34, 32, "Super", Shp.SUPER, Obj.BOYSPP), null);
-		this.add(getShapeButton(floatButton, 102, 32, 34, 32, "Float", Shp.FLOAT, Obj.LITFLT), null);
-		this.add(getShapeButton(beaconButton, 0, 64, 34, 32, "Beacon", Shp.BEACON, Obj.BCNSPP), null);
-		this.add(getShapeButton(towerButton, 34, 64, 34, 32, "TowerB", Shp.TOWER, Obj.BCNSPP), null);
-		this.add(getShapeButton(stakeButton, 68, 64, 34, 32, "Stake", Shp.STAKE, Obj.BCNSPP), null);
-		this.add(getShapeButton(cairnButton, 102, 64, 34, 32, "CairnB", Shp.CAIRN, Obj.BCNSPP), null);
+		setLayout(null);
+		add(getShapeButton(pillarButton, 0, 0, 34, 32, "Pillar", Shp.PILLAR, Obj.BOYSPP));
+		add(getShapeButton(sparButton, 34, 0, 34, 32, "Spar", Shp.SPAR, Obj.BOYSPP));
+		add(getShapeButton(canButton, 68, 0, 34, 32, "Can", Shp.CAN, Obj.BOYSPP));
+		add(getShapeButton(coneButton, 102, 0, 34, 32, "Cone", Shp.CONE, Obj.BOYSPP));
+		add(getShapeButton(sphereButton, 0, 32, 34, 32, "Sphere", Shp.SPHERE, Obj.BOYSPP));
+		add(getShapeButton(barrelButton, 34, 32, 34, 32, "Barrel", Shp.BARREL, Obj.BOYSPP));
+		add(getShapeButton(superButton, 68, 32, 34, 32, "Super", Shp.SUPER, Obj.BOYSPP));
+		add(getShapeButton(floatButton, 102, 32, 34, 32, "Float", Shp.FLOAT, Obj.LITFLT));
+		add(getShapeButton(beaconButton, 0, 64, 34, 32, "Beacon", Shp.BEACON, Obj.BCNSPP));
+		add(getShapeButton(towerButton, 34, 64, 34, 32, "TowerB", Shp.TOWER, Obj.BCNSPP));
+		add(getShapeButton(stakeButton, 68, 64, 34, 32, "Stake", Shp.STAKE, Obj.BCNSPP));
+		add(getShapeButton(cairnButton, 102, 64, 34, 32, "CairnB", Shp.CAIRN, Obj.BCNSPP));
 
 		categoryLabel = new JLabel(Messages.getString("Category"), SwingConstants.CENTER);
 		categoryLabel.setBounds(new Rectangle(5, 100, 160, 20));
-		this.add(categoryLabel, null);
+		add(categoryLabel);
 		categoryBox = new JComboBox();
 		categoryBox.setBounds(new Rectangle(5, 120, 160, 20));
-		this.add(categoryBox, null);
+		add(categoryBox);
 		categoryBox.addActionListener(alCategoryBox);
 		addCatItem("", Cat.NONE);
@@ -129,5 +128,5 @@
 		topmarkButton.setBorder(BorderFactory.createLoweredBevelBorder());
 		topmarkButton.addActionListener(alTop);
-		this.add(topmarkButton);
+		add(topmarkButton);
 	}
 
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelStbd.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelStbd.java	(revision 27216)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelStbd.java	(revision 27219)
@@ -89,14 +89,14 @@
 	public PanelStbd(OSeaMAction dia) {
 		dlg = dia;
-		this.setLayout(null);
-		this.add(getShapeButton(pillarButton, 0, 0, 34, 32, "Pillar", Shp.PILLAR, Obj.BOYLAT), null);
-		this.add(getShapeButton(sparButton, 0, 32, 34, 32, "Spar", Shp.SPAR, Obj.BOYLAT), null);
-		this.add(getShapeButton(coneButton, 0, 64, 34, 32, "Cone", Shp.CONE, Obj.BOYLAT), null);
-		this.add(getShapeButton(sphereButton, 0, 96, 34, 32, "Sphere", Shp.SPHERE, Obj.BOYLAT), null);
-		this.add(getShapeButton(floatButton, 0, 128, 34, 32, "Float", Shp.FLOAT, Obj.FLTLAT), null);
-		this.add(getShapeButton(beaconButton, 35, 0, 34, 32, "Beacon", Shp.BEACON, Obj.BCNLAT), null);
-		this.add(getShapeButton(towerButton, 35, 32, 34, 32, "TowerB", Shp.TOWER, Obj.BCNLAT), null);
-		this.add(getShapeButton(perchButton, 35, 64, 34, 32, "Perch", Shp.PERCH, Obj.BCNLAT), null);
-		this.add(getShapeButton(stakeButton, 35, 96, 34, 32, "Stake", Shp.STAKE, Obj.BCNLAT), null);
+		setLayout(null);
+		add(getShapeButton(pillarButton, 0, 0, 34, 32, "Pillar", Shp.PILLAR, Obj.BOYLAT));
+		add(getShapeButton(sparButton, 0, 32, 34, 32, "Spar", Shp.SPAR, Obj.BOYLAT));
+		add(getShapeButton(coneButton, 0, 64, 34, 32, "Cone", Shp.CONE, Obj.BOYLAT));
+		add(getShapeButton(sphereButton, 0, 96, 34, 32, "Sphere", Shp.SPHERE, Obj.BOYLAT));
+		add(getShapeButton(floatButton, 0, 128, 34, 32, "Float", Shp.FLOAT, Obj.FLTLAT));
+		add(getShapeButton(beaconButton, 35, 0, 34, 32, "Beacon", Shp.BEACON, Obj.BCNLAT));
+		add(getShapeButton(towerButton, 35, 32, 34, 32, "TowerB", Shp.TOWER, Obj.BCNLAT));
+		add(getShapeButton(perchButton, 35, 64, 34, 32, "Perch", Shp.PERCH, Obj.BCNLAT));
+		add(getShapeButton(stakeButton, 35, 96, 34, 32, "Stake", Shp.STAKE, Obj.BCNLAT));
 	}
 
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelTop.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelTop.java	(revision 27216)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/panels/PanelTop.java	(revision 27219)
@@ -50,25 +50,25 @@
 	public PanelTop(OSeaMAction dia) {
 		dlg = dia;
-		this.setLayout(null);
+		setLayout(null);
 		panelPat = new PanelPat(dlg, Ent.TOPMARK);
 		panelPat.setBounds(new Rectangle(160, 0, 110, 160));
-		this.add(panelPat, null);
-		this.add(getTopButton(noTopButton, 0, 5, 27, 27, "NoTop", Top.NONE), null);
-		this.add(getTopButton(canTopButton, 30, 5, 27, 27, "CanTop", Top.CAN), null);
-		this.add(getTopButton(coneTopButton, 60, 5, 27, 27, "ConeTop", Top.CONE), null);
-		this.add(getTopButton(sphereTopButton, 90, 5, 27, 27, "SphereTop", Top.SPHERE), null);
-		this.add(getTopButton(XTopButton, 120, 5, 27, 27, "XTop", Top.X_SHAPE), null);
-		this.add(getTopButton(northTopButton, 0, 35, 27, 27, "NorthTop", Top.NORTH), null);
-		this.add(getTopButton(southTopButton, 30, 35, 27, 27, "SouthTop", Top.SOUTH), null);
-		this.add(getTopButton(eastTopButton, 60, 35, 27, 27, "EastTop", Top.EAST), null);
-		this.add(getTopButton(westTopButton, 90, 35, 27, 27, "WestTop", Top.WEST), null);
-		this.add(getTopButton(spheres2TopButton, 120, 35, 27, 27, "Spheres2Top", Top.SPHERES2), null);
-		this.add(getTopButton(boardDayButton, 0, 65, 27, 27, "BoardDay", Top.BOARD), null);
-		this.add(getTopButton(diamondDayButton, 30, 65, 27, 27, "DiamondDay", Top.DIAMOND), null);
-		this.add(getTopButton(triangleDayButton, 60, 65, 27, 27, "TriangleDay", Top.TRIANGLE), null);
-		this.add(getTopButton(triangleInvDayButton, 90, 65, 27, 27, "TriangleInvDay", Top.TRIANGLE_INV), null);
-		this.add(getTopButton(squareDayButton, 120, 65, 27, 27, "SquareDay", Top.SQUARE), null);
-		this.add(getTopButton(circleDayButton, 120, 95, 27, 27, "CircleDay", Top.CIRCLE), null);
-		this.add(getMoorButton(mooringTopButton, 0, 95, 27, 27, "MooringTop"), null);
+		add(panelPat);
+		add(getTopButton(noTopButton, 0, 5, 27, 27, "NoTop", Top.NONE));
+		add(getTopButton(canTopButton, 30, 5, 27, 27, "CanTop", Top.CAN));
+		add(getTopButton(coneTopButton, 60, 5, 27, 27, "ConeTop", Top.CONE));
+		add(getTopButton(sphereTopButton, 90, 5, 27, 27, "SphereTop", Top.SPHERE));
+		add(getTopButton(XTopButton, 120, 5, 27, 27, "XTop", Top.X_SHAPE));
+		add(getTopButton(northTopButton, 0, 35, 27, 27, "NorthTop", Top.NORTH));
+		add(getTopButton(southTopButton, 30, 35, 27, 27, "SouthTop", Top.SOUTH));
+		add(getTopButton(eastTopButton, 60, 35, 27, 27, "EastTop", Top.EAST));
+		add(getTopButton(westTopButton, 90, 35, 27, 27, "WestTop", Top.WEST));
+		add(getTopButton(spheres2TopButton, 120, 35, 27, 27, "Spheres2Top", Top.SPHERES2));
+		add(getTopButton(boardDayButton, 0, 65, 27, 27, "BoardDay", Top.BOARD));
+		add(getTopButton(diamondDayButton, 30, 65, 27, 27, "DiamondDay", Top.DIAMOND));
+		add(getTopButton(triangleDayButton, 60, 65, 27, 27, "TriangleDay", Top.TRIANGLE));
+		add(getTopButton(triangleInvDayButton, 90, 65, 27, 27, "TriangleInvDay", Top.TRIANGLE_INV));
+		add(getTopButton(squareDayButton, 120, 65, 27, 27, "SquareDay", Top.SQUARE));
+		add(getTopButton(circleDayButton, 120, 95, 27, 27, "CircleDay", Top.CIRCLE));
+		add(getMoorButton(mooringTopButton, 0, 95, 27, 27, "MooringTop"));
 	}
 
Index: applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/seamarks/SeaMark.java
===================================================================
--- applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/seamarks/SeaMark.java	(revision 27216)
+++ applications/editors/josm/plugins/smed/plugs/oseam/src/oseam/seamarks/SeaMark.java	(revision 27219)
@@ -1970,11 +1970,20 @@
 		for (int i = 1; i < sectors.size(); i++) {
 	    g2.setRenderingHint(RenderingHints.KEY_ANTIALIASING, RenderingHints.VALUE_ANTIALIAS_ON);
-	    g2.setPaint(ColMAP.get(getLightAtt(Att.COL, i)));
 	    g2.setStroke(new BasicStroke(6.0f));
 	    if (!((String)getLightAtt(Att.BEG, i)).isEmpty() && !((String)getLightAtt(Att.END, i)).isEmpty()) {
-	    	Double a0 = 270 - Double.parseDouble((String)getLightAtt(Att.BEG, i));
-	    	Double da = 270 - Double.parseDouble((String)getLightAtt(Att.END, i)) - a0;
-	    	da -= da > 0 ? 360 : 0; 
-	    	g2.draw(new Arc2D.Double(12, 15, 140, 140, a0, da, Arc2D.OPEN));
+				if (getLightAtt(Att.COL, i) != Col.UNKNOWN) {
+					g2.setPaint(ColMAP.get(getLightAtt(Att.COL, i)));
+					Double a0 = 270 - Double.parseDouble((String) getLightAtt(Att.BEG, i));
+					Double da = 270 - Double.parseDouble((String) getLightAtt(Att.END, i)) - a0;
+					da -= da > 0 ? 360 : 0;
+					g2.draw(new Arc2D.Double(12, 15, 140, 140, a0, da, Arc2D.OPEN));
+				}
+				if (getLightAtt(Att.ALT, i) != Col.UNKNOWN) {
+					g2.setPaint(ColMAP.get(getLightAtt(Att.ALT, i)));
+					Double a0 = 270 - Double.parseDouble((String) getLightAtt(Att.BEG, i));
+					Double da = 270 - Double.parseDouble((String) getLightAtt(Att.END, i)) - a0;
+					da -= da > 0 ? 360 : 0;
+					g2.draw(new Arc2D.Double(17, 20, 130, 130, a0, da, Arc2D.OPEN));
+				}
 	    }
 		}
